CHM(3)

PACKAGE
chm - Routines to manage channel objects

PURPOSE
These routines are meant to provide a generic and simple to use channel management facility (i.e. event processing on pipes, connections and terminals). A similar set of routines: chx_ provide identical functionality (with the exception of the polling routine), except that they rely on the Xt Intrinsics event dispatching system.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

chm_manage
    Manage a channel for activity by registering callback routines.

chm_unmanage
    Terminate the management of a channel for activity.

chm_unmanage_by_handle
    Terminate the management of a channel for activity.

chm_PROTO_input_func
    This routine is called when new input occurs on a channel.

chm_PROTO_close_func
    This routine is called when a channel closes.

chm_PROTO_output_func
    This routine is called when a channel becomes ready for writing.

chm_PROTO_exception_func
    This routine is called when an exception occurs on channel.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/